%global file_name com.github.danrabbit.nimbus

Name:           nimbus
Version:        0.3.2
Release:        1%{?dist}
Summary:        Minimal weather applet

License:        GPLv2
URL:            https://github.com/danrabbit/nimbus
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  vala
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gweather-3.0)
BuildRequires:  pkgconfig(libgeoclue-2.0)

Requires:       hicolor-icon-theme

%description
See the current temperature and weather conditions for your location with this
minimal color-changing applet.

• Click anywhere to fetch the latest weather
• Stays out of your way by always sticking to the desktop
• Move the window by dragging any part of it
• Quit with the handy shortcut Ctrl + Q
• Respects your system settings for temperature units

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{file_name}
# Equal to regular and doesnt have HiDPI version for now
rm -r %{buildroot}%{_datadir}/icons/hicolor/*@2

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{file_name}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{file_name}.desktop

%files -f %{file_name}.lang
%doc README.md
%license COPYING
%{_bindir}/%{file_name}
%{_datadir}/applications/%{file_name}.desktop
%{_datadir}/glib-2.0/schemas/%{file_name}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*
%{_metainfodir}/%{file_name}.appdata.xml

%changelog
* Tue May 21 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3.2-1
- Initial package
